import { I18nService } from '@ucap/i18n';
import { AppApi, PlatformApi } from '@ucap/electron-common';

export class AppI18nService extends I18nService
  implements PlatformApi.AfterInit, PlatformApi.BeforeDestroy {
  static readonly ucapClassName: string = 'appI18nService';

  constructor(private configuration: AppApi.AppConfiguration) {
    super(configuration.i18n.moduleConfig);
  }

  ucapAfterInit(): void | Promise<void> {
    return new Promise<void>(async (resolve, reject) => {
      try {
        resolve();
      } catch (error) {
        reject(error);
      }
    });
  }

  ucapBeforeDestroy(): void | Promise<void> {
    return new Promise<void>(async (resolve, reject) => {
      try {
        resolve();
      } catch (error) {
        reject(error);
      }
    });
  }
}
